Subject: Re: [Bitcoin-development] Blocking uneconomical UTXO creation

From: Jorge Timón <[email-masked]>
Date: Mon, 11 Mar 2013 18:08:03 +0100

Well, my initial idea was that nothing was really needed too.
But if something must be done, I dislike very much the "ban
micropayments" approach. I was just offering other solutions that I
consider much better, but if nothing is done I won't be pushing for
those alternative solutions (to a problem that we may not even have).

On 3/11/13, Mike Hearn <[email-masked]> wrote:
> Why does demurrage even still come up? The base rules of Bitcoin will
> not be changing in such a fundamental way.
>
> With regards to trying to minimize the size of the UTXO set, this
> again feels like a solution in search of a problem. Even with SD
> abusing micropayments as messages, it's only a few hundred megabytes
> today. That fits in RAM, let alone disk. If one day people do get
> concerned about the working set size, miners can independently set
> their own policies for what they confirm, for instance maybe they just
> bump the priority of any transaction that has fewer outputs than
> inputs. An IsStandard() rule now that tries to ban micropayments will
> just risk hurting interesting applications for no real benefit. It's
> like trying to anticipate and fix problems we might face in 2020.
>
> There are lots of less invasive changes for improving scalability,
> like making transaction validation multi-threaded in every case,
> transmitting merkle blocks instead of full blocks, moving blocking
> disk IO off the main loop so nodes don't go unresponsive when somebody
> downloads the chain from them, and finishing the payment protocol work
> so there's less incentive to replicate the SD "transactions as
> messages" design.
>

-- 
Jorge Timón

http://freico.in/
http://archive.ripple-project.org/